.testimonial {
  display: flex;
  flex-direction: column;
  gap: 2.5rem;
  padding: 5rem 1rem;
}

@media (min-width: 768px) {
  .testimonial {
    flex-direction: row;
  }
}

.testimonial__header {
  flex: 1;

  display: flex;
  flex-direction: column;
  gap: 0.625rem;
}

.testimonial__header__star {
  background: var(--primary);
  width: fit-content;
  border-radius: 50%;
  padding: 0.5rem;
}

.testimonial__header__title {
  font-size: clamp(1.5rem, 3vw, 2rem);
  font-weight: 600;
}

.testimonial__header__desc {
  font-size: clamp(1, 2vw, 1.125rem);
  line-height: 1.6;
  color: var(--secondary-foreground);
  margin-bottom: 1.25rem;
  max-width: 45ch;
}

.testimonial__header__menu {
  color: var(--secondary-foreground);
  display: flex;
  flex-direction: column;
  gap: 1rem;

  list-style: none;
  padding: 0;
}

.testimonial__header__menu li {
  font-size: 0.75rem;
}

.testimonial__header__menu li::before {
  content: "";
  display: inline-block;
  background: url("../images/icon-check.png") no-repeat center / cover;
  width: 1.5em;
  height: 1.5em;
  position: relative;
  top: 0.375rem;
  left: 0;
  margin-right: 0.5rem;
}

.testimonial__header__star::before {
  content: "";
  display: block;
  background: url("../images/icon-star-logo.png") no-repeat center / cover;
  width: 1.5rem;
  height: 1.5rem;
}

.testimonial__aside {
  flex: 1;

  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.testimonial__aside > *:nth-child(odd) {
  align-self: end;
}

.testimonial__aside > *:nth-child(even) {
  align-self: start;
}

.testimonial__aside__card {
  background: var(--card);
  width: clamp(12.5rem, 90vw, 22.5rem);
  padding: clamp(1rem, 4vw, 2rem);
  border-radius: var(--radius);
  box-shadow: 0 3px 10px rgb(212 212 212 / 0.2);
}

@media (min-width: 768px) {
  .testimonial__aside__card {
    width: clamp(9rem, 60vw, 22.5rem);
  }
}

.testimonial__aside__card .company {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  align-items: center;
  margin-bottom: 1rem;
}

.testimonial__aside__card .group-star {
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}

.testimonial__aside__card img {
  width: 100%;
  max-width: 6.25rem;
}

.testimonial__aside__card h2 {
  font-size: 1.125rem;
  font-weight: 600;
  margin-bottom: 0.75rem;
}

.testimonial__aside__card p {
  max-width: 80%;
  font-size: 0.875rem;
  line-height: 1.6;
  color: var(--secondary-foreground);
}
